############################################################################
#
# cornerstore_prefs.cgi - trial version
# Version: 2.00t03
# Edit the settings in this file to customize CornerStore for your needs.
# And make sure to read the FAQ: http://encodable.com/cornerstore/faq
#
############################################################################
#
# NOTE: do not spend too much time customizing this trial version,
# because the full version replaces it completely.
# 
############################################################################



############################################################################
# Database settings: to get CornerStore running, the one configuration item
# that you absolutely must adjust is the database settings.  The hostname
# may be left blank (which defaults to 'localhost') on many servers, but the
# other three settings -- database name, username, and password -- must be
# specified.
#
# The database_username that you specify must have full MySQL privileges on
# the database_name that you specify.
#
# Enter your settings on the right-hand side of the equal signs below, for
# example:
#
#	$PREF{database_password}		= 'my-secret-word';
#
$PREF{database_hostname}				= '';
$PREF{database_name}					= '';
$PREF{database_username}				= '';
$PREF{database_password}				= '';
#
# The following settings usually don't need to be adjusted.  If you're
# using PostgreSQL instead of MySQL, then just make sure you have the
# DBD::Pg Perl module installed, then change the dbi_connection_string
# to "dbi:Pg:dbname=%%dbname%%".  Or if your mysql.sock file is in a
# non-standard location, you can specify that in the connection string:
#
#	dbi:mysql:%%dbname%%;mysql_socket=/var/mysql/mysql.sock
#
$PREF{dbi_connection_string}				= "dbi:mysql:%%dbname%%";
$PREF{enable_quicksort_by_default}			= 'yes';



##############################################################################
# CornerStore includes a "store" folder that you must upload to the top level
# of your website (www.yoursite.com/store).  If you rename that folder, or put
# it somewhere other than the top level, then you'll need to adjust this
# setting from its default value of "/store".
#
$PREF{app_base_folder}					= '/store';



##############################################################################
# Email settings: webmaster_email_address is your own email address; 
# app_email_address will be the sender or "From:" address on emails sent by
# CornerStore (and this need not be a real email address, though depending on
# your mail server, it probably should be, and generally does need to be @ a
# real domain); smtp_server and path_to_sendmail are two different methods
# that CornerStore can try to use to send emails; smtp_auth_username &
# password are email account credentials that your SMTP server may require.
#
$PREF{webmaster_email_address}				= '';
$PREF{app_email_address}				= 'cornerstore@example.com';
$PREF{smtp_server}					= 'localhost:25';   # port is usually 25 or 587.
$PREF{smtp_auth_username}				= '';
$PREF{smtp_auth_password}				= '';
$PREF{path_to_sendmail}					= '/usr/sbin/sendmail';



##############################################################################
# The following $PREF{here} settings can be left at their default values.  You
# only need to adjust them if you want to use the shorter app URLs, if your
# server supports those.  To find out, go to www.yoursite.com/store/ and you
# should see the store's front page; go to www.yoursite.com/store/cart/ and
# you should see the shopping cart.  If so, then you can change these settings
# from these default values:
# 
#	$PREF{here}		= "$ENV{SCRIPT_NAME}";
#	$PREF{here_cart}	= "$ENV{SCRIPT_NAME}?action=cart";
#	$PREF{here_buy}		= "$ENV{SCRIPT_NAME}?addmulti=";
#	$PREF{here_storemenu}	= "$ENV{SCRIPT_NAME}";
#
# ...to these short URL values:
# 
#	$PREF{here}		= "/store/";
#	$PREF{here_cart}	= "/store/cart/";
#	$PREF{here_buy}		= "/store/buy/?";   # Note the question mark.
#	$PREF{here_storemenu}	= "/store/";
# 
$PREF{here}						= "$ENV{SCRIPT_NAME}";
$PREF{here_cart}					= "$ENV{SCRIPT_NAME}?action=cart";
$PREF{here_buy}						= "$ENV{SCRIPT_NAME}?addmulti=";
$PREF{here_storemenu}					= "$ENV{SCRIPT_NAME}";
$PREF{here_fullpage}					= "$ENV{SCRIPT_NAME}";   # Don't change this one.



##############################################################################
# Various settings.
#
$PREF{title}						= 'CornerStore';
$PREF{titlebar_title}					= "CornerStore - $ENV{HTTP_HOST}";
$PREF{home_link_in_footer___url}			= '/';
$PREF{home_link_in_footer___name}			= 'Home';   # set to '' to disable.
$PREF{store_menu_link_in_footer___name}			= 'Store Menu';   # set to '' to disable.
$PREF{show_login_link}					= 'yes';



##############################################################################
# If your server is in a different time zone than you are, then you can set
# the time_offset setting to the number of hours between the time zones, so 
# that the dates & times that CornerStore displays will be in your time zone,
# instead of the server's time zone.  This must be a whole number, and can be
# negative.
#
$PREF{time_offset}					= 0;



##############################################################################
# Shopping cart settings:
#
$PREF{paypal_payment_recipient_address}			= '%PREF{webmaster_email_address}';   # must be a single email address.
$PREF{other_allowable_paypal_payment_recipients}	= '';   # In case you have multiple email addresses on your PayPal account.  Can include multiple addresses, comma-separated.

$PREF{items_per_page_on_cart}				= 20;
$PREF{max_age_for_shopping_carts}			= 60*60*24*14;
$PREF{enable_promocodes}				= 'yes';

$PREF{paypal_notify_url}				= "http://$ENV{HTTP_HOST}$ENV{SCRIPT_NAME}";   # probably shouldn't change this one.
$PREF{paypal_return_url}				= "http://$ENV{HTTP_HOST}%PREF{app_base_folder}/confirm.html";
$PREF{paypal_cancel_url}				= "http://$ENV{HTTP_HOST}%PREF{here_cart}";

# Google Checkout is an alternative payment method that you can use in
# addition to PayPal.  It's currently an experimental feature: it works
# for receiving payments, but those payments are not automatically logged
# into CornerStore's sales log, as PayPal payments are.
#
$PREF{enable_google_checkout}				= 'no';
$PREF{my_google_merchant_id}				= '';

$PREF{currency_symbol_for_shopping_cart}		= '$';
$PREF{currency_symbol_for_saleslog_pages}		= '$';

# These settings enable a flat-rate shipping option that will be displayed on
# the shopping cart and will apply one time to the whole cart, regardless of
# the contents of the cart.
#
$PREF{enable_flatrate_shipping}				= 'yes';
$PREF{flatrate_shipping_option_01_name}			= 'USPS: $4';
$PREF{flatrate_shipping_option_01_cost}			= '$4.00';
$PREF{flatrate_shipping_option_02_name}			= 'FedEx Ground: $7';
$PREF{flatrate_shipping_option_02_cost}			= '$7.00';
$PREF{flatrate_shipping_option_03_name}			= 'FedEx 2-Day: $10';
$PREF{flatrate_shipping_option_03_cost}			= '$10.00';
$PREF{default_flatrate_shipping_option}			= '01';



##############################################################################
# Email templates:
#
$PREF{payment_notification_email_01_subject}		= qq`Payment Received - \$%%grand_total%% - %%payer_email%%`;
$PREF{payment_notification_email_01_recipients}		= '%PREF{webmaster_email_address}';   # can include multiple addresses, comma-separated.
$PREF{payment_notification_email_01_sender}		= '%PREF{app_email_address}';   # can be an email address, or '%%payer_email%%', or '%PREF{app_email_address}'.
$PREF{payment_notification_email_01_format}		= 'text';   # 'text' or 'html'.
$PREF{payment_notification_email_01_template}		= qq`Payment received at %PREF{protoprefix}$ENV{HTTP_HOST}%PREF{here}
------------------------------------------------------------


Transaction Status:
------------------------------------------------------------
PayPal Data Status: %%%ifelse-transaction_is_valid%%%Valid. %%%if-processing_error%%% (However, a processing error did occur during logging: %%processing_error%%) %%%end-processing_error%%% %%%else%%%WARNING: this transaction is invalid.  Details: %%txn_error%% %%%endelse-transaction_is_valid%%%
Payment Type: %%payment_type%%
Payment Status: %%payment_status%%


Buyer Information:
------------------------------------------------------------
Buyer Name: %%payer_name%%
Buyer Email: %%payer_email%%
Buyer PayPal Status: %%payer_status%%
Buyer Address (%%payer_address_status%%): %%payer_address%%


Transaction Information:
------------------------------------------------------------
Transaction ID: %%txn_id%%
Receipt ID: %%receipt_id%%
Order Number: %%order_number%%
Number of Items: %%num_cart_items%%
Grand Total: %%grand_total%% %%currency%%
Tax: %%tax%% %%currency%%
PayPal Date: %%paypal_date%% (date this transaction occurred on paypal.com)
Server Date: %%server_date%% (date this email was created on $ENV{HTTP_HOST})


Item Information:
------------------------------------------------------------
%%%template:item%%%Item-%%i%% Name: %%itemname%%
Item-%%i%% Number: %%itemnumber%%
Item-%%i%% Price: %%itemprice%% %%currency%%
Item-%%i%% Quantity: %%itemquantity%%
%%%end-template:item%%%


Raw Transaction Data:
------------------------------------------------------------
%%raw_txn_data%%

`;









##############################################################################
# Templates and settings for various pages:
#

$PREF{success_message_template}				= qq`<h2>Success</h2>\n<p>%%message%%</p>\n`;
$PREF{notice_message_template}				= qq`<h2>Notice</h2>\n<p>%%message%%</p>\n`;
$PREF{error_message_template}				= qq`<h2>Error</h2>\n<p>%%message%%</p>\n`;
#$PREF{outer_container}					= '<div id="csbody" %%class%%>';
#$PREF{outer_container_end}				= '</div>';

$PREF{raw_paypal_data_viewer_title}			= 'Raw PayPal Transaction Data';
$PREF{shopping_carts_viewer_title}			= 'Active Shopping Carts, By Item';
$PREF{saleslog_viewer_title}				= 'Sales Log, By Item';
$PREF{my_orders_viewer_title}				= 'My Orders, By Item';
$PREF{promocode_viewer_title}				= 'Promo Codes';

$PREF{storemenu_page_title}				= qq``;
$PREF{storemenu_page_template}				= qq`
<div id="storemenu" class="enc_tbl">
<table>
<tr class="headers"><th>Store Menu</th></tr>
						<tr class="%%oddeven%%"><td><a href="%PREF{here}">View the Store</a></td></tr>
						<tr class="%%oddeven%%"><td><a href="%PREF{here_cart}">View Your Cart</a></td></tr>
%%%if-member_is_logged_in%%% 			<tr class="%%oddeven%%"><td><a href="%PREF{here_fullpage_qsready}action=orders&amp;sort=id&amp;reverse=1">My Orders</a></td></tr>			%%%end-member_is_logged_in%%%
%%%if-member_is_logged_in%%% 			<tr class="%%oddeven%%"><td><a href="%PREF{login_url}">My Account</a></td></tr>										%%%end-member_is_logged_in%%%
<tr class="%%oddeven%%"><td><a href="%PREF{here_fullpage_qsready}action=promocodes">Promo Codes</a></td></tr>
<tr class="%%oddeven%%"><td><a href="%PREF{here_fullpage_qsready}action=manageitems">Manage Items</a></td></tr>
<tr class="%%oddeven%%"><td><a href="%PREF{here_qsready}action=manageimages">Manage Item Images</a></td></tr>
<tr class="%%oddeven%%"><td><a href="%PREF{here_qsready}action=managecats">Manage Item Categories</a></td></tr>
<tr class="%%oddeven%%"><td><a href="%PREF{here_fullpage_qsready}action=showsaleslog&amp;sort=id&amp;reverse=1">View Simple Sales Log</a></td></tr>
<tr class="%%oddeven%%"><td><a href="%PREF{here_fullpage_qsready}action=showsaleslogfull&amp;sort=id&amp;reverse=1">View Full Sales Log</a></td></tr>
<tr class="%%oddeven%%"><td><a href="%PREF{here_fullpage_qsready}action=showrawpaypal&amp;sort=id&amp;reverse=1">View Raw PayPal Data</a></td></tr>
<tr class="%%oddeven%%"><td><a href="%PREF{here_fullpage_qsready}action=showallcarts&amp;sort=id&amp;reverse=1">View Shopping Carts</a></td></tr>
<tr class="%%oddeven%%"><td><a href="%PREF{here_qsready}action=showprefs">Show All Prefs</a></td></tr>
<tr class="%%oddeven%%"><td><a href="%PREF{here_qsready}action=serverinfo">Show Server Info</a></td></tr>
<tr class="%%oddeven%%"><td><a href="%PREF{here_qsready}action=imagemodules">Check Image Modules</a></td></tr>
</table>
</div>
`;









##############################################################################
# Template for the store's main shopping page (i.e. product list):
#

$PREF{enable_categories}				= 'yes';
$PREF{items_per_page_on_shopping_page}			= 10;
$PREF{shopping_page_title}				= qq`Welcome to the Store`;
$PREF{show_allthumbnails_on_shoppinglist_page}		= 'no';
$PREF{shopping_page_allthumbnails_template}		= qq`<a href="%%link_to_big_image%%"><img src="%%item_thumbnail_url%%" alt="%%item_name%% thumbnail image" /></a>`;
$PREF{shopping_page_item_separator}			= qq``;   # qq`<tr><td colspan="3" class="store_item_separator"></td></tr>`;
$PREF{shopping_page_category_header}			= qq`<tr id="current_category_header"><th colspan="3"><h3>%%current_category_header%%</h3></th></tr>`;
$PREF{category_header_full_label}			= qq`All Departments:`;
$PREF{category_header_short_label}			= qq`All`;
$PREF{category_header_separator}			= qq` <span class="cat_head_sep">&rarr;</span> `;

$PREF{shopping_page_no_items_in_category_template}	= qq`<tr class="store_item store_item_odd"><td colspan="3"><div id="empty_category">(No items.)</div></td></tr>`;

$PREF{shopping_page_main_template}			= qq`
	<div id="shopping_page_wrapper">
	<div id="shopping_page_sidebar">
		<div class="enc_drop_shadow___wait" id="cart_summary"><div class="sh1"></div><div class="sh2"></div><div class="sh3"></div><div class="sh4"></div><div class="sh5"></div><div class="sh6"></div><div class="sh7"></div><div class="sh8"></div>
			<div id="cart_summary_inner">
				<h3 class="cart_summary_title">Shopping Cart</h3>
				<div id="cart_summary_body">
					%%cart_count%%
				</div>
			</div>
		</div>
		%%%if-enable_categories%%%
		<div class="enc_drop_shadow___wait" id="category_list"><div class="sh1"></div><div class="sh2"></div><div class="sh3"></div><div class="sh4"></div><div class="sh5"></div><div class="sh6"></div><div class="sh7"></div><div class="sh8"></div>
			<div id="category_list_inner">
				<h3 class="catlist_title">Departments</h3>
				<div id="catlist_body">
					<a href="%PREF{here}">All Departments</a><br /><br />
					%%category_list%%
				</div>
			</div>
		</div>
		%%%end-enable_categories%%%
	</div>
	<div id="shopping_page_content">
		<table id="store_itemlist">%%itemlist%%</table>
		<div id="shopping_pagination_links">%%pagination_links%%</div><br />
	</div>
	</div>
`;

$PREF{shopping_page_item_template}			= qq`
	<tr class="store_item store_item_%%oddeven%%">
	<td class="firstthumb">
	%%%if-firstthumbnail_available%%%
		<a href="%%link_to_firstthumbnail_big_image%%"><img src="%%item_firstthumbnail_url%%" alt="%%item_name%% thumbnail image" /></a>
	%%%end-firstthumbnail_available%%%
	</td>

	<td class="details">
	<div class="item_name">%%%if-on_itemdetail_page%%% %%item_name%% %%%else%%% <a href="%%itemdetail_url%%">%%item_name%%</a>%%%end-on_itemdetail_page%%%</div>
	<div class="item_description">%%item_description%%</div>
	<div class="item_price">\$%%item_price%%</div>
	%%%if-show_allthumbnails_on_shoppinglist_page%%%
		%%%if-allthumbnails_available%%%
			<div class="item_thumbnails">%%all_thumbnails%%</div>
		%%%end-allthumbnails_available%%%
	%%%end-show_allthumbnails_on_shoppinglist_page%%%
	</td>

	<td class="buy_button">
		<a href="%%buy_url%%"><img src="%PREF{app_images_folder_url}/addtocart03-e02.png" style="width:96px; height:38px; border:0;" alt="Add To Cart" /></a>
	</td>
	</tr>
`;

$PREF{shopping_page_item_detail_template}		= qq`
	%%%if-additional_thumbnails_available%%%
	<tr class="store_item store_item_%%oddeven%% item_additional_images">
	<td colspan="3">
		<h4>Additional Images:</h4>
		<div class="item_thumbnails">%%additional_thumbnails%%</div>
	</td>
	</tr>
	%%%end-additional_thumbnails_available%%%

	%%%if-long_description_available%%%
	<tr class="store_item store_item_%%oddeven%% item_long_description">
	<td colspan="3">
		<h4>Details:</h4>
		%%long_description%%
	</td>
	</tr>
	%%%end-long_description_available%%%
`;









############################################################################
# App output template.  You can add things here, and you can change any text
# within the template, but you probably shouldn't change any of the markup
# (tags) nor variables (like %%linkbar_bottom%%) within the template.
#
$PREF{app_output_template} = qq`

	<div id="cswrapper" class="%%wide_page_css_wrapper_id%%">

	<!-- for drop shadows: -->
	<div class="shad01"></div>
	<div class="shad02"></div>
	<div class="shad03"></div>
	<div class="shad04"></div>
	<div class="shad05"></div>
	<div class="shad06"></div>
	<div class="shad07"></div>
	<div class="shad08"></div>

	<div id="%%on_page%%page"> <!-- this is #cartpage, #storepage, #defaultpage, etc. -->

	%%%if-pagetitle%%%	<h1 class="pagetitle">%PREF{title}</h1>		%%%end-pagetitle%%%
	%%%if-pagesubtitle%%%	<h2 class="pagesubtitle">%%subtitle%%</h2>	%%%end-pagesubtitle%%%

	<div id="cs_content"> <!-- don't change this ID. -->


	%%app_output_body%%


	</div>

	<div id="csfooter">
	%%linkbar_bottom%%
	</div>

	<div id="epb">%%powered_by%%</div>

	</div> <!-- end #cartpage, #storepage, #defaultpage, etc. -->

	</div><!-- end id="cswrapper" -->
`;













##############################################################################
# Settings for digital-download products:
#
# It's safe to set the _view_download_page option to 'public' because
# we always require a proof-of-purchase for this as well.  But if you
# also want to force your customers to create a UserBase account before
# they can download, then set this to 'member'.  You should not set it
# to 'admin'.
#
$PREF{groups_allowed_to_view_download_page} = 'member';
$PREF{groups_allowed_to_download_all_deliverables_without_paying} = 'admin';
#
$PREF{download_page_title} = qq`Your Downloads:`;
#
$PREF{download_page_template} = qq`
<div id="storemenu" class="enc_tbl">
<table width="100%" border="0" align="right" cellpadding="0" cellspacing="0">
	<tr class="">
		<td align="left" valign="bottom"><h1>%PREF{download_page_title}</h1></td>
	</tr>
	<tr>
		%%%template:link%%%
		<td align="left" valign="top"><a href="%%link%%">%%itemname%%</a></td>
		%%%end-template:link%%%
	</tr>
</table>
</div>
`;









############################################################################
# Miscellaneous settings.
#
$PREF{app_images_url}					= '%PREF{app_base_folder}/images';
$PREF{debuglog}						= 'no';
$PREF{log_paypal_payment_debug_info_to_encdata_dir}	= 'no';
$PREF{item_viewer_hidden_columns}			= 'id,timestamp_created,date_created,builtin_quantity,deliverable_file_with_path';
$PREF{saleslog_viewer_hidden_columns}			= 'id, server_timestamp, paypal_timestamp, server_date, total_items, our_notes_internal, our_notes_for_buyer, cart_id, transaction_id, receipt_id, proof_of_purchase, ub_user_id, transaction_currency, buyer_id, buyer_ip_address, buyer_hostname, buyer_browser, item_options, username, item_description, promo_type, promo_value, promo_description, flatrate_shipping, total_tax, total_handling, total_shipping, total_fee, buyer_countrycode';
$PREF{saleslog_viewer_hidden_columns___full}		= 'id, server_timestamp, paypal_timestamp, server_date, total_items, our_notes_internal, our_notes_for_buyer, cart_id, transaction_id, receipt_id, proof_of_purchase, ub_user_id, transaction_currency, buyer_id, buyer_ip_address, buyer_hostname, buyer_browser, item_options, ';









##############################################################################
# Shopping cart templates:
#

$PREF{cart_count_template} = qq`<a href="%PREF{here_cart}" id="cart_count">Your cart: %%num_items%% %%items_word%%</a>`;

$PREF{hide_app_pagetitle_on_cart_page} = 'yes';

$PREF{cart_page} = qq`
<h1 class="pagetitle">Your Shopping Cart</h1>
<div class="logo"></div>

<div id="theshoppingcart">

<form action="$ENV{SCRIPT_NAME}" method="get" id="updatecart">
<input type="hidden" name="action" value="updatecart" />
<table id="cartitemlist">
<tr class="header">
<th class="name">Item:</th>
<th class="price">Price:</th>
%%%if-promocode_active%%%<th class="promoprice">Promo Price:</th>%%%end-promocode_active%%%
<th class="quantity">Qty:</th>
<th class="subtotal">Subtotal:</th>
<th class="rem">Remove:</th>
</tr>

%%visible_itemlist%%

<tr class="grandtotal">
	<td class="grandtotal" colspan="6">
		%%%if-enable_flatrate_shipping%%%
			<span class="label">Shipping:</span> %%flatrate_shipping_cost%% &nbsp; &nbsp; 
		%%%end-enable_flatrate_shipping%%%

		<span class="total_label">Total:</span> <span class="total_value">%%grandtotal%%</span>
	</td>
</tr>
</table>

<div class="first_line_after_items">
	%%%if-allow_noshipping_option%%%
		<div id="no_shipping_checkbox">
		<input type="checkbox" onchange="toggle_shipping_fields()" name="no_ship_chk" id="no_ship_chk" /><label for="no_ship_chk">I'll pick up my prints; don't add shipping charges.</label>
		</div>
	%%%end-allow_noshipping_option%%%

	%%%if-enable_flatrate_shipping%%%
		<div id="flatrate_shipping_field">Shipping: <select name="flatrate_shipping" id="flatrate_shipping">
		%%flatrate_shipping_options%%
		</select>
		</div>
	%%%end-enable_flatrate_shipping%%%

	%%%if-promocodes_enabled%%%
		<div id="promocode_field">Promo Code: <input type="text" name="promocode" id="promocode" value="%%promocode%%" /></div>
	%%%end-promocodes_enabled%%%

	<input type="submit" class="button submit" name="updatecart" value="Update Cart" />
</div>

<div class="second_line_after_items" style="clear: both;"></div>

</form>

<form id="paypalcheckoutbutton_std">
<input type="button" class="button submit" value="Checkout" onclick="alert('Disabled in trial version.');return false" />
</form>

</div><!-- end id=theshoppingcart -->

%%pagination_links%%

<div style="text-align: center; margin-top: 20px;"><a href="%PREF{here}" style="text-decoration: underline;">Continue shopping?</a></div>
<div style="text-align: center; margin-top: 30px;">
<p><img src="%PREF{app_images_folder_url}/cclogos-03.png" style="width: 296px; height: 64px; border: 0px solid #bbb; padding: 2px 6px; background-color: white;" alt="Pay via credit card through PayPal - PayPal account not required!" /></p>
<p>Instant credit card payments through PayPal.</p><p>PayPal account <b>not</b> required!</p>
</div>

`;



$PREF{visible_itemlist_name_to_show}			= "%%itemnameordesc%%"; # can include %%itemname%%, %%itemdesc%%, %%itemnameordesc%%, and/or %%itemdescorname%%.

$PREF{visible_itemlist_template__emptycart}		= qq`<tr><td class="emptycart" colspan="5">Your cart is empty.</td></tr>`;

$PREF{visible_itemlist_template}			= qq`
<tr class="%%rowclass%%">
<td class="name">%PREF{visible_itemlist_name_to_show} (<a href="%PREF{here_qsready}showitemcode=%%itemnumber%%">%%itemnumber%%</a>) %%%if-itemopts%%%: %%itemopts%%%%%end-itemopts%%%</td>
<td class="price">\$%%itemprice%%</td>
%%%if-promocode_active%%%<td class="promoprice">\$%%promoprice%%</td>%%%end-promocode_active%%%
<td class="quantity"><input type="text" class="text" name="%%item_id%%_qty" value="%%quantity%%" /></td>
<td class="subtotal">\$%%totalprice%%</td>
<td class="rem"><a href="$ENV{SCRIPT_NAME}?action=remfromcart&amp;iid=%%item_id%%">remove</a></td>
</tr>
`;











##############################################################################
# Item image settings.
#
$PREF{image_extensions}					= '\.jpg$|\.jpeg$|\.png$|\.gif$|\.bmp$|\.jpe$'; # regular expression.
$PREF{image_sizes_to_create}				= '80,150,600'; # in px.
$PREF{image_resizing_timeout}				= 8; # in seconds.
$PREF{items_per_page_on_item_image_viewer}		= 10;

$PREF{try_to_use_convert_for_resizing}			= 'no';
$PREF{convert_command}					= 'convert'; # can optionally include path.
$PREF{convert_resize_template}				= qq`%PREF{convert_command} -filter lanczos -size %%size%% -resize %%size%% -quality 95 "%%infile%%" "%%outfile%%"`;

$PREF{try_to_use_identify_for_dimensions}		= 'no';
$PREF{identify_command}					= 'identify'; # can optionally include path.

$PREF{try_to_use_imagemagick_for_resizing}		= 'yes';
$PREF{try_to_use_imagemagick_for_dimensions}		= 'yes';

$PREF{try_to_use_gd_for_resizing}			= 'yes';
$PREF{try_to_use_gd_for_dimensions}			= 'yes';








##############################################################################
# Various order-related settings:
#

# Your order_number_template can contain the following variables:
#
#	%%transaction_serial_number%% - a simple integer starting at 1 for your
#	first sale, 2 for your second, etc.
#
#	%%paypal_timestamp%% - the date of the sale, represented in integer form
#	as the number of seconds since Jan 1, 1970; for example: 1227862961.
#
#	%%ub_user_id%% - the UserBase user ID of the buyer, if any.  This is an
#	integer starting at 1 and increasing for each UserBase account.
#
# If you don't use %%paypal_timestamp%% then you'll probably want to use
# $PREF{add_this_amount_to_each_order_number}, setting it to say 100000,
# so that your first order number is "100001" instead of "1".
#
# The system will automatically prevent a duplicate order number from occurring.
#
$PREF{order_number_template}				= '%%transaction_serial_number%%';
$PREF{add_this_amount_to_each_order_number}		= 10000000;


# Your saleslog will have a field called our_status and displayed as simply
# "Status" which is meant for you to use for your own order status updates.
# Here you can set what the initial value in that field should be.
#
$PREF{initial_order_status}				= 'Processing';


# If you have FileChucker, you can allow uploads/downloads based on orders:
#
$PREF{allow_file_uploads_based_on_orders}		= 'no';
$PREF{file_upload_link_url}				= '/upload?path=users/%%username%%/%%order_number%%-%%item_number_within_order___raw%%';
$PREF{file_upload_link_text}				= 'Upload';
$PREF{file_upload_column_name}				= 'upload_files';
$PREF{file_upload_column_title}				= 'Upload files';
$PREF{file_upload_column_position}			= 'default'; # 'default' or a numeric value.
#
$PREF{file_download_link_url}				= '/upload?action=listfiles&path=users/%%username%%/%%order_number%%-%%item_number_within_order___raw%%';
$PREF{file_download_link_text}				= 'Download';
$PREF{file_download_column_name}			= 'download_files';
$PREF{file_download_column_title}			= 'Download files';
$PREF{file_download_column_position}			= '2'; # 'default' or a numeric value.
#
$PREF{create_new_folder_for_each_item_sold}		= 'no';
$PREF{directory_for_new_folders_for_items_sold}		= '%PREF{DOCROOT}/encapps/upload/files/users';
$PREF{name_template_for_new_folders_for_items_sold}	= '%%username%%/%%order_number%%-%%item_number_within_order%%';


# If you have VisitorLog, you can view details about your buyers:
#
$PREF{link_to_visitorlog_from_ip_in_saleslog}		= 'no';
$PREF{visitorlog_saleslog_ip_link}			= '/visitors/?mode=full&action=search&style=plain&showoutput=10000&orderby=etime&orderdir=DESC&expandpageviews=yes&s_ip=%%buyer_ip_address%%';
$PREF{link_to_visitorlog_from_ip_in_cartlog}		= 'no';
$PREF{visitorlog_cartlog_ip_link}			= '/visitors/?mode=full&action=search&style=plain&showoutput=10000&orderby=etime&orderdir=DESC&expandpageviews=yes&s_ip=%%ip_address%%';









############################################################################
# On most servers, you can embed CornerStore into an existing page/layout
# using PHP or SHTML and the ?encembed=yes variable, as explained in the
# FAQ.  However, if you're on a brain-dead server (for example, IIS6+) which
# does not support any decent way to call a CGI script that includes the
# proper server environment variables, and your server does not have PHP
# installed, and you still want to include a standard header/footer with
# CornerStore, then you can set encodable_app_template_file.  Set this to
# the full path (probably starting with "%PREF{DOCROOT}/") to an HTML page
# on your site which should be used as the template for CornerStore's
# output.  You can create this HTML file in whatever way you normally
# create web pages; the only requirements are that it contain the string
# %%encodable_app_output%% wherever you'd like CornerStore's output to
# appear, and that you put the strings %%css%% and %%js%% within the
# <head> section of the file.  No server-side processing (PHP, SSI, etc)
# will be done on the contents of this file; however you can specify a 
# title within it by inserting the string %%title%% (for example, as in
# <title>%%title%%</title>) and we'll replace that with your value for
# the title_for_template_file variable (or in some cases, with an
# internally-set title).
#
$PREF{encodable_app_template_file}			= '';
$PREF{title_for_template_file}				= '';









############################################################################
# Settings that shouldn't be changed in most cases:
#
$PREF{cart_id_cookie}					= 'cornerstoreid';








##############################################################################
# Styling:
#

$PREF{css} = qq`

#csbody { font: 10pt sans-serif; color: #333; text-align: center; }
#csbody table { font: 10pt sans-serif; color: #333; text-align: left; }
#csbody a { color: #686767; text-decoration: none; }
#csbody a:hover { color: #00b; text-decoration: underline; }
#csbody .pagesubtitle { color: #777; }

#storemenu { width: 450px; text-align: center; }
#storemenu table { text-align: center; }

#csfooter { margin-top: 40px; }
#epb { display: none; }

#theshoppingcart { position: relative; width: 760px; margin: 20px auto; border: 1px solid #888; padding: 0px 8px 8px 8px; color: #333; background: #e9e9e9; }
#cartitemlist { width: 100%; background: #fff; color: #555555; font-size: 8pt; margin-bottom: 8px; border-spacing: 0; border-collapse: collapse; }

#theshoppingcart input.button { width: auto; overflow: visible; padding: 0 6px; } /* fix IE's wide-button stupidity */
#submitcart { position: absolute; right: 8px; bottom: 8px; } /* to be replaced by the next two: */
#paypalcheckoutbutton_std { position: absolute; right: 8px; bottom: 8px; }
#googlecheckoutbutton_std { position: absolute; right: 132px; bottom: 8px; }
#paypalcheckoutbutton_img { position: absolute; right: 8px; bottom: 4px; }
#googlecheckoutbutton_img { position: absolute; right: 170px; bottom: 3px; }

#cartitemlist tr.odd:hover, #cartitemlist tr.even:hover, #cartitemlist tr.grandtotal:hover, #cartitemlist tr.flatrate_shipping:hover { background: #eee; }

#cartitemlist th { text-align: center; padding: 8px 5px; color: #000; background: #e9e9e9; border-bottom: 1px solid #888; }
#cartitemlist th.name { text-align: left; }
#cartitemlist th.subtotal { text-align: right; }
#cartitemlist th.rem { text-align: right; }

#cartitemlist td { text-align: center; padding: 8px 5px; border-bottom: 1px solid #e7e7e7; }
#cartitemlist td.name { border-left: 1px solid #888; text-align: left; }
#cartitemlist td.rem { border-right: 1px solid #CCC; text-align: right; }
#cartitemlist td.subtotal { text-align: right; }

#cartitemlist input.text { width: 20px; text-align: center; }
#cartitemlist .total_label, #cartitemlist .total_value { font-weight: bold; }
#cartitemlist td.grandtotal		{ text-align: right; color: #444; padding: 8px 5px; border-left: 1px solid #888; border-right: 1px solid #CCC; border-bottom: 1px solid #CCC; border-top: 1px solid #ddd; }
#cartitemlist td.emptycart { padding: 25px; border-left: 1px solid #888; border-right: 1px solid #CCC; border-bottom: 0; }

#flatrate_shipping_field { float: left; text-align: left; white-space: nowrap; margin-right: 20px; }
#promocode_field { float: left; white-space: nowrap; margin-right: 20px; }
#promocode_field input { width: 70px; }

form#updatecart { text-align: left; }
form#updatecart input.submit { margin: 0; }
form#updatecart .first_line_after_items
{
	/* position: absolute; left: 8px; bottom: 0px; */
}
form#updatecart .second_line_after_items
{
	/* position: absolute; left: 8px; bottom: 0px; */
}

#shopping_page_wrapper { overflow: auto; width: 800px; margin: 0 auto; }

#shopping_page_sidebar { float: left; width: 180px; text-align: left; }

#cart_summary { margin-bottom: 20px; }
#cart_summary_inner { padding: 0px; }
#cart_summary .cart_summary_title { margin-top: 0; }
#cart_summary h3 { padding: 5px 10px; margin: 0; text-align: center; }
#cart_summary #cart_summary_body { padding: 10px; background: #f6f6f6; }
#cart_summary a { color: black; }

#category_list { margin-bottom: 20px; }
#category_list_inner { padding: 0px; }
#category_list .catlist_title { margin-top: 0; }
#category_list h3 { padding: 5px 10px; margin: 0; text-align: center; }
#category_list #catlist_body { padding: 10px; background: #f6f6f6; }
#category_list a { color: black; }

/* gray: */
#cart_summary h3, #category_list h3, #current_category_header h3, #storemenu th { color: #333; text-shadow: 2px 2px 0px #fff; }
#cart_summary h3, #category_list h3, #current_category_header th, #storemenu th { background: #ddd; border-bottom: 1px solid #888; }
#cart_summary_inner, #category_list_inner, #store_itemlist { border: 1px solid #888; }
#current_category_header a { color: #333 !important; }
#storemenu { border: 1px solid #999; }
#storemenu th { border-bottom: 1px solid #999; }

/* blue: */
#cart_summary h3, #category_list h3, #current_category_header h3, #storemenu th { color: #fff; text-shadow: 1px 1px 0px #000; }
#cart_summary h3, #category_list h3, #current_category_header th, #storemenu th { background: #28c; border-bottom: 1px solid #333; }
#cart_summary_inner, #category_list_inner, #store_itemlist { border: 1px solid #333; }
#current_category_header a { color: #fff !important; }
#storemenu { border: 1px solid #333; }
#storemenu th { border-bottom: 1px solid #333; }

#empty_category { font-style: italic; text-align: center; }
#shopping_page_content { float: left; width: 600px; margin-left: 20px; }
#current_category_header th { padding: 5px 10px; text-align: left; }
#current_category_header h3 { margin: 0; }
#store_itemlist { width: 570px; border-collapse: collapse; padding: 0 10px; }
#store_itemlist td { padding: 10px; border-bottom: 1px solid #ccc; }
#store_itemlist td.firstthumb { padding-left: 10px; width: 5%; } /* width will auto-expand; specify a small value so it wraps the image nicely. */
#store_itemlist td.buy_button { padding-right: 10px; }
#store_itemlist tr:first-child td { border-top: 0px solid #ccc; }
#store_itemlist tr:last-child td { border-bottom: 0px solid #ccc; }
.store_item_separator { border-top: 0px solid #ccc; padding: 0 !important; }
.store_item_odd td  { background: #f6f6f6; }
.store_item_even td { background: #f6f6f6; }
#store_itemlist tr:hover td { background: #ececec; }
.store_item { text-align: left; }
.store_item .item_name { font-weight: bold; font-size: 10pt; }
.store_item .item_name a { text-decoration: underline !important; color: #55b !important; }
.store_item .item_description { color: #000; }
.store_item .item_long_description { color: #555; }
.store_item .item_price { color: #606060; }
.store_item .item_name, .store_item .item_description, .store_item .item_long_description, .store_item .item_price { }
.store_item .details { vertical-align: top; }
.store_item .buy_button { width: 30%; text-align: right; }
.store_item .buy_button a, .store_item .buy_button a:hover { text-decoration: none; border: 0; }
.item_thumbnails { margin-top: 10px; }
.item_thumbnails a { border: 0; display: inline-block; margin-right: 10px; }
.item_thumbnails img { border: 1px solid #000; }
.firstthumb a { border: 0; display: inline-block; }
.firstthumb img { border: 1px solid #000; }
.item_additional_images h4 { margin: 0; }
.item_long_description h4 { margin: 0 0 10px 0; }

#imagemanagerpage table.item_image { border-top: 1px solid #ddd; width: 96%; margin: 0 auto 30px auto; border-collapse: collapse; }
#imagemanagerpage .item_image tr:hover { background: #fff858; }
#imagemanagerpage .item_image td { padding: 20px; border-bottom: 1px solid #ddd; }
#imagemanagerpage .first_item_image { }
#imagemanagerpage .item_image .filename { font-weight: bold; }
#imagemanagerpage .item_image .resizedetails { text-align: left; }
#imagemanagerpage .item_image .deletelink { text-align: right; }
#imagemanagerpage .item_image .deletelink a { display: block; margin-bottom: 20px; }
#imagemanagerpage .item_image .thumbnail img { border: 1px solid #000; }

#upload_item_images_form { border-top: 1px solid #ddd; width: 96%; margin: 0 auto; overflow: auto; }
#upload_item_images_form div#form_intro { margin: 20px 0 20px 20px; float: left; text-align: left; width: 46%; }
#upload_item_images_form div#form_controls { margin: 20px 20px 20px 0; float: right; text-align: right; width: 46%; }
#upload_item_images_form div#form_controls input { }
#upload_item_images_form:hover { background: #fff858; }

.enc_tbl
{
	border: 1px solid #999;
	margin: 10px auto;
}
.enc_tbl table
{
	border-collapse: separate;
	border-spacing: 0;
	border: 0;
	background: #fff;
	width: 100%;
	margin: 0;
	font-size: 8pt;
	text-align: center !important;
}
.enc_tbl table th
{
	padding: 9px;
	background: #ccc;
	color: #333;
	border-bottom: 1px solid #999999;
}
.enc_tbl table th a
{
	color: #333 !important;
	text-decoration: none;
}
.enc_tbl table td a, .enc_tbl table td a:visited
{
	color: #000 !important;
	border: 0;
}
.enc_tbl table td
{
	padding: 7px;
	border-bottom: 1px solid #bbb;
}


.enc_tbl table td.verthead
{
	padding: 9px;
	background: #e7e7e7;
	color: #fff;
	width: 30%;
	vertical-align: top;
	font-weight: bold !important;
	border-bottom: 1px solid #ccc;
}
.enc_tbl table td.vertcell
{
	background: #eeeeee;
	border-bottom: 1px solid #ccc;
	border-left: 1px solid #ccc;
}
.enc_db_tbl td a
{
	text-decoration: underline !important;
}
.enc_tbl td.verthead a, .enc_tbl td.verthead a:visited
{
	color: #333;
	text-decoration: none !important;
}
.enc_tbl table tr:hover td.verthead
{
	background: #d5d9d3;
}
.enc_tbl table tr:hover td.vertcell
{
	background: #d5d9d3;
}
.header_input_notes { color: #555; }


.enc_tbl table tr
{
	border-bottom: 1px solid #bbb;
	background: #efefef;
}
.enc_tbl table tr.odd
{
	padding: 4px;
	background: #f3f3f3;
}
.enc_tbl table tr.even
{
	padding: 4px;
	background: #f3f3f3;
}
.enc_tbl table tr:hover
{
	background: #fcffb8;
	background: #d5d9d3;
}


.enc_tbl input.text
{
	width: 200px !important;
	border: 1px solid #ccc;
	padding: 3px;
}
.enc_tbl input.srch_text
{
	border: 1px solid #ccc;
	padding: 3px;
}
.enc_tbl textarea
{
	border: 1px solid #ccc;
	padding: 3px;
}
.enc_tbl textarea.shorttext
{
	width: 300px;
	height: 50px;
}
.enc_tbl textarea.mediumtext
{
	width: 300px;
	height: 80px;
}
.enc_tbl textarea.longtext
{
	width: 300px;
	height: 200px;
}
.enc_tbl .readonly
{
	margin-left: 5px;
}
#database_deleter
{
	margin: 30px 0;
	padding: 0;
}
.database_header_note
{
	max-width: 500px;
	margin: 20px auto;
}
.enc_create_tbl table
{
	/* width: auto; */
}
.enc_create_tbl th, .enc_create_tbl td,
.enc_edit_tbl th, .enc_edit_tbl td
{
	text-align: left;
}
.enc_create_tbl td.button, .enc_edit_tbl td.button
{
	text-align: center;
}


.pagelinks
{
	/* font-size: 10pt; */
	cursor: default;
	margin-top: 12px;
}
.pagelinks .links
{
	display: inline-block;
	margin-top: 5px;
	background: #efefef;
	border: 1px solid #bbb;

	/*
	border: 1px solid #888;
	border-top-color: #ccc;
	border-left-color: #ccc;
	*/

	padding: 5px;
}
.pagelinks .links span, .pagelinks .links a
{
	display: block;
	float: left;
	padding: 6px 11px;
	border-right: 1px solid #ccc;
}
.pagelinks .links span.last, .pagelinks .links a.last
{
	border-right: 0;
}
.pagelinks .disabled
{
	cursor: default;
	color: #999;
}
.pagelinks .current
{
	cursor: default;
	color: #999;
}
#csbody .pagelinks .links a
{
	color: #1E90FF;
	color: #333;
	text-decoration: none;
}
#csbody .pagelinks .links a:hover
{
	background: #d5d9d3;
	text-decoration: none;
}
.pagelinks .text
{
	line-height: 16pt;
	vertical-align: middle;
	margin-top: 10px;
}
.pagelinks .bookend
{
	font-size: 16pt;
	font-family: serif;
	color: #676767;
	margin: 0 5px;
	vertical-align: top;

	display: none;
}
.pagelinks .disabled
{
	/* text-decoration: line-through !important; */
}


#enc_server_info td, #enc_prefs_list td { text-align: left !important; }




.clear { height: 0; line-height: 0; font-size: 0; clear: both; }


</style>
<!--[if IE]>
<style type="text/css">
/* put any IE-specific stuff here... */

#cart_summary h3, #category_list h3, #current_category_header h3 { font-weight: bold !important; letter-spacing: 1px; }
.cat_head_sep { display: inline-block; margin-right: 5px; margin-left: -5px; }

</style>
<![endif]-->
<style type="text/css">

`;








$PREF{css_shared} = qq`

#enc_vis_id_setter { position: absolute; left: -5500px; height: 0; overflow: hidden; }

.enc_drop_shadow { position: relative; padding: 12px; }
.enc_drop_shadow .sh1 { background: url(%PREF{app_images_url}/shad01c.png); top: 0; left: 0;	left: 22px; right: 22px; height: 12px; }
.enc_drop_shadow .sh2 { background: url(%PREF{app_images_url}/shad02c.png); top: 0; right: 0;	top: 22px; bottom: 22px; width:  12px; }
.enc_drop_shadow .sh3 { background: url(%PREF{app_images_url}/shad03c.png); bottom: 0; left: 0;	left: 22px; right: 22px; height: 12px; }
.enc_drop_shadow .sh4 { background: url(%PREF{app_images_url}/shad04c.png); top: 0; left: 0;	top: 22px; bottom: 22px; width:  12px; }
.enc_drop_shadow .sh5 { background: url(%PREF{app_images_url}/shad05c.png); top: 0; left: 0; }
.enc_drop_shadow .sh6 { background: url(%PREF{app_images_url}/shad06c.png); top: 0; right: 0; }
.enc_drop_shadow .sh7 { background: url(%PREF{app_images_url}/shad07c.png); bottom: 0; right: 0; }
.enc_drop_shadow .sh8 { background: url(%PREF{app_images_url}/shad08c.png); bottom: 0; left: 0; }
.enc_drop_shadow .sh1, .enc_drop_shadow .sh2, .enc_drop_shadow .sh3, .enc_drop_shadow .sh4 { position: absolute; }
.enc_drop_shadow .sh5, .enc_drop_shadow .sh6, .enc_drop_shadow .sh7, .enc_drop_shadow .sh8 { position: absolute; width: 22px; height: 22px; }

#database_deleter .enc_tbl	{ max-width: 780px; }
.enc_dbcreate_tbl_vert		{ max-width: 780px; }
.enc_dbedit_tbl_vert		{ max-width: 780px; }
.enc_dbview_tbl_vert		{ max-width: 780px; }
.enc_dbview_tbl_vert td		{ text-align: left; }
.enc_dbview_tbl_vert td.addnew	{ text-align: center; }

.header_input_notes { display: inline-block; font-style: italic; font-weight: normal; margin-left: 8px; }

.encdb_imgpkr_wrapper .empty_placeholder { margin-top: 20px; font-style: italic; }
.encdb_imgpkr_chosen_label { font-weight: bold; font-size: 11pt; }
.encdb_imgpkr_all_label { font-weight: bold; font-size: 11pt; margin-top: 20px; }
.encdb_imgpkr_chosen, .encdb_imgpkr_all
{
	margin-top: 10px;
	min-height: 50px;
	max-height: 300px;
	overflow: auto;
	padding-left: 10px;
}
.encdb_imgpkr_image_block
{
	overflow: auto;
	margin: 10px 0;
}
.encdb_imgpkr_image_block .imgpkr_thumb
{
	float: left;
}
.encdb_imgpkr_image_block .imgpkr_text
{
	float: left;
	padding-top: 10px;
}
.encdb_imgpkr_image_block img
{
	margin-right: 10px;
}

`;









$PREF{css_shared_light} = qq`

.encdb_imgpkr_chosen, .encdb_imgpkr_all
{
	border: 1px solid #999;
	background: rgba(255,255,255,0.70);
}
.encdb_imgpkr_image_block img
{
	border: 1px solid #555;
}

`;









$PREF{css_shared_dark} = qq`

.encdb_imgpkr_chosen, .encdb_imgpkr_all
{
	border: 1px solid #999;
	background: rgba(255,255,255,0.70);
}
.encdb_imgpkr_image_block img
{
	border: 1px solid #555;
}

`;









##############################################################################
# Javascript:
#

$PREF{js} = qq`

function toggle_shipping_fields()
{
	var checkbox = document.getElementById("no_ship_chk");
	var shipfield = document.getElementById("cornerstore_shp_1");
	var i = 1;
	while(shipfield)
	{
		if(checkbox.checked)
			shipfield.name = 'shipping_' + i;
		else
			shipfield.name = 'disabled_shp_' + i;

		i++;
		shipfield = document.getElementById("cornerstore_shp_" + i);
	}
}

function encdb_imgpkr_choose(column, filename, css_id)
{
	var block_id = 'encdb_imgpkr_image_' + column + '_' + css_id;
	var actionlink_id = 'encdb_imgpkr_actionlink_' + column + '_' + css_id;
	
	var orig_block = document.getElementById(block_id);
	var new_block = orig_block.cloneNode(true);
	new_block.id = 'encdb_imgpkr_image_chosen_' + column + '_' + css_id;
	
	if(!document.getElementById(new_block.id)) // avoid dupes in the chosen field.
	{
		var links_in_new_block = new_block.getElementsByTagName("a");
		for(i = 0; i < links_in_new_block.length; i++)
		{
			if(links_in_new_block[i].className.indexOf('encdb_imgpkr_actionlink') != -1)
			{
				links_in_new_block[i].innerHTML = "%TEXT{database_image_picker_remove_button}";
				links_in_new_block[i].onclick = Function("encdb_imgpkr_unchoose('" + column + "','" + filename + "','" + css_id + "'); return false");
			}
		}

		var chosen_container = document.getElementById('encdb_imgpkr_chosen_' + column);
		var divs_in_chosen_container = chosen_container.getElementsByTagName("div");
		for(i = 0; i < divs_in_chosen_container.length; i++)
		{
			if(divs_in_chosen_container[i].className.indexOf('empty_placeholder') != -1)
			{
				// Remove the "(none)" placeholder:
				chosen_container.removeChild(divs_in_chosen_container[i]);
			}
		}
		chosen_container.appendChild(new_block);

		var textfield = document.getElementById("encdb_" + column);
		var re = new RegExp('(^|:::::)' + filename + '(:::::|\$)');
		if(!textfield.value.match(re))
		{
			textfield.value = textfield.value ? textfield.value + ":::::" + filename : filename;
		}
	}
}

function encdb_imgpkr_unchoose(column, filename, css_id)
{
	var block_id = 'encdb_imgpkr_image_chosen_' + column + '_' + css_id;
	var block_to_remove = document.getElementById(block_id);
	var chosen_container = document.getElementById('encdb_imgpkr_chosen_' + column);
	chosen_container.removeChild(block_to_remove);

	var textfield = document.getElementById("encdb_" + column);
	var re = new RegExp('(^|:::::)' + filename + '(:::::|\$)');
	if(textfield.value.match(re))
	{
		textfield.value = textfield.value.replace(re, '\$1\$2');
		textfield.value = textfield.value.replace(/^:::::/g, '');
		textfield.value = textfield.value.replace(/:::::\$/g, '');
		textfield.value = textfield.value.replace(/::::::::::/g, ':::::');
	}
	
	if(!textfield.value || textfield.value == "")
	{
		chosen_container.innerHTML = '<div class="empty_placeholder">%TEXT{database_image_picker_no_images_label}</div>';
	}
}

document.write("<scr" + "ipt type='text/javascript' src='%PREF{app_base_folder}/js/js_table_sort.js'></scr" + "ipt>");
document.write("<scr" + "ipt type='text/javascript' src='%PREF{app_base_folder}/js/getElementsByClassName.js'></scr" + "ipt>");


`;









##############################################################################
# Shared text strings (used by multiple Encodable apps):
#

$TEXT{boolean_false_string}					= 'no';
$TEXT{boolean_true_string}					= 'yes';

$TEXT{database_create_button}					= qq`Add new %%itemname%%`;
$TEXT{database_create_button_2}					= qq`Save new %%itemname%%`;
$TEXT{database_delete_successful}				= qq`Successfully deleted the %%itemname%%.`;
$TEXT{database_deleter_title}					= qq`Or you can delete this %%itemname%%:`;
$TEXT{database_deleter_checkbox}				= qq`Check this box to confirm that you want to delete the %%itemname%%.`;
$TEXT{database_deleter_button}					= qq`Delete this %%itemname%%`;
$TEXT{database_image_picker_available_images_label}		= qq`Available Images:`;
$TEXT{database_image_picker_choose_button}			= qq`Choose`;
$TEXT{database_image_picker_chosen_images_label}		= qq`Chosen Image(s):`;
$TEXT{database_image_picker_no_images_label}			= qq`(none)`;
$TEXT{database_image_picker_remove_button}			= qq`Remove`;
$TEXT{database_save_button}					= qq`Save changes`;
$TEXT{database_search_button}					= qq`Search`;
$TEXT{days}							= qq`days`;
$TEXT{Delete}							= qq`Delete`;

$TEXT{Edit}							= qq`Edit`;
$TEXT{Enter_the_password}					= qq`Enter your password:`;

$TEXT{Keep_me_logged_in_for}					= qq`Keep me logged in for`;

$TEXT{Login}							= qq`Login`;
$TEXT{Logout}							= qq`Logout`;

$TEXT{My_Account}						= qq`My Account`;

$TEXT{no}							= qq`no`;
$TEXT{no_output_from_database}					= qq`<div style="text-align: center; font-style: italic;">(none)</div>`;

$TEXT{password_not_set}						= qq`You must <a href="%%newpw_link%%">set your administrator password</a> first.`;

$TEXT{Record_deleted_successfully_}				= qq`Record deleted successfully.`;

$TEXT{The_password_you_entered_is_incorrect___}			= qq`The password you entered is incorrect.<br />Go back and try again.`;

$TEXT{yes}							= qq`yes`;









##############################################################################
# CornerStore text strings:
#

$TEXT{fingerprint_mismatch_on_dynamic_cart_item}		= qq`Error: item data appears to have been altered; please go back and try again.`;

$TEXT{invalid_item_code_}					= qq`Error: the specified item code is invalid: `;
$TEXT{item_does_not_exist}					= qq`Error: that item does not exist.`;
$TEXT{item_not_active}						= qq`Error: that item is not active.`;
$TEXT{item_not_purchased_error}					= qq`Error: the requested item was not purchased in this transaction.`;






